comments.create
POST /api/v1/boards/{id}/comments. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the comment.create permission on the board.…
POST
/api/v1/boards/{id}/comments
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/comments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "anchor": { "sel": "example", "quote": { "prefix": "example", "exact": "example", "suffix": "example" }, "xy": { "x": 1, "y": 1 } }, "parent_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "for_agent": false, "version_n": 1 }'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the comment.create permission on the board. Body limit: 256 KB.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Success.
Media typeapplication/json
object
id
required
string format: uuid
board_id
required
string format: uuid
version_n
required
integer
author_id
required
string
body
required
string
anchor
required
for_agent
required
boolean
resolved_agent
required
string | null
author
required
object
name
required
string | null
image_url
required
string | null
member
required
boolean
created_at
required
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "version_n": 1, "parent_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "author_id": "example", "body": "example", "anchor": { "sel": "example", "quote": { "prefix": "example", "exact": "example", "suffix": "example" }, "xy": { "x": 1, "y": 1 } }, "for_agent": true, "resolved_n": 1, "resolved_by": "example", "resolved_agent": "example", "author": { "name": "example", "image_url": "example", "member": true }, "created_at": "2026-04-15T12:00:00Z"}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}